Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031684
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminoralways2015-12-09 17:262015-12-15 09:19
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q3.5
StatusclosedFix in branchFixed in SCM revisionbfee0e727006
ProjectionnoneETAnoneTarget Version3.0PR15Q3.5
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2015-04-13
Regression introduced in release3.0PR15Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/ac68a43ce6569746a77f67d78906d7addbac841b [^]
Triggers an Emergency PackNo
Summary

0031684: Some values are not shown in XLS format after Jasper Library Upgrade using Microsoft Office 2007

DescriptionSome values are not shown in XLS format after Jasper Library Upgrade using Microsoft Office 2007
Steps To Reproduce1. Run any manual report in XLS format
2. Open xls file with Microsoft Excel 2007and realize that Credit and Debit values are not shown
Proposed SolutionThe cell auto detect feature of Jasper is generating the format of the column as "Personalize", this causes the values not be shown.

Without using this feature all the values are exported as strings.

Notice that this is problem not happening with LibreOffice.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0031676 closedcaristu Some values are not shown in XLS format after Jasper Library Upgrade using Microsoft Office 2007 

-  Notes
(0082733)
hgbot (developer)
2015-12-14 17:16

Repository: erp/backports/3.0PR15Q3.5
Changeset: bfee0e72700660ee8cab43be889c13ea8ff1faee
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Dec 14 17:14:18 2015 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR15Q3.5/rev/bfee0e72700660ee8cab43be889c13ea8ff1faee [^]

fixes issue 31684: Some values are not shown in XLS format using MS Office

The detect cell type feature was not working properly for BigInteger values in Office after the Jasper Library Upgrade. A personalized format was applied causing the data not be shown when opening the report.

To solve this problem the detect cell type feature has been disabled. This way, by default, all the values in the XLS will be exported as strings.

This default configuration can be overriden at report level. As an example, the General Ledger Report and Trial Balance report have been updated properly. With this configuration, those reports are now using number formatting for the cells showing the BigDecimal values.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/report/ReportingUtils.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerExcel.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalanceExcel.jrxml
---
(0082748)
alostale (developer)
2015-12-15 09:19

code reviewed

Tested:
-General Ledger and Trial Balance reports are correctly exported, numeric values are seen as numbers in spreadsheet (both libreoffice and office)
-Reports can be exported to PDF
-Other reports (ie. Purchase Order Report) are correctly exported to XLS but their numeric columns are seen as string (both libreoffice and office)

- Issue History
Date Modified Username Field Change
2015-12-10 09:38 alostale Type defect => backport
2015-12-10 09:38 alostale Target Version => 3.0PR15Q3.5
2015-12-14 17:16 hgbot Checkin
2015-12-14 17:16 hgbot Note Added: 0082733
2015-12-14 17:16 hgbot Status scheduled => resolved
2015-12-14 17:16 hgbot Resolution open => fixed
2015-12-14 17:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q3.5/rev/bfee0e72700660ee8cab43be889c13ea8ff1faee [^]
2015-12-14 17:18 caristu Review Assigned To => alostale
2015-12-14 17:18 caristu Issue Monitored: alostale
2015-12-14 17:18 caristu Proposed Solution updated
2015-12-15 09:19 alostale Note Added: 0082748
2015-12-15 09:19 alostale Status resolved => closed
2015-12-15 09:19 alostale Fixed in Version => 3.0PR15Q3.5
2016-08-23 08:29 caristu Relationship added related to 0033743
2016-08-23 08:32 caristu Relationship deleted related to 0033743


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker